import request from '@/utils/request'

// 查询车辆故障列表
export function faultLogList(query) {
  return request({
    url: '/enterprise/log/faultLogList',
    method: 'get',
    params: query
  })
}

// 新增车辆故障
export function insertFaultLog(data) {
  return request({
    url: '/enterprise/log/insertLog',
    method: 'post',
    data: data
  })
}

// 修改车辆故障
export function updateFaultLog(data) {
  return request({
    url: '/enterprise/log/updateLog',
    method: 'put',
    data: data
  })
}

// 删除车辆故障
export function delFaultInfo(id) {
  return request({
    url: '/enterprise/log/remove/' + id,
    method: 'delete'
  })
}
